> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Customer Account

> Create a new customer account under a company.



## OpenAPI

````yaml openapi/zeal-api.json post /customer-accounts
openapi: 3.1.0
info:
  title: zeal-api
  version: '1.0'
servers:
  - url: https://api.zeal.com
security:
  - sec0: []
paths:
  /customer-accounts:
    post:
      summary: Create Customer Account
      operationId: create-customer-account
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - companyID
                - code
                - business_name
              properties:
                companyID:
                  type: string
                  description: ID of the Company.
                code:
                  type: string
                  description: Custom code to be associated with the customer code.
                business_name:
                  type: string
                  description: Business Name of the customer account.
                ein:
                  type: string
                  description: EIN of the customer account
                legal_structure:
                  type: string
                  description: Federal tax classification of the customer account entity
                  enum:
                    - ccorp
                    - corp
                    - estate
                    - foreign_entity
                    - llc
                    - llp
                    - lp
                    - nonprofit
                    - partnership
                    - scheme
                    - scorp
                    - soleprop
                    - trust.
                phone:
                  type: string
                  description: Phone number of the customer account
                email:
                  type: string
                  description: Business email of the customer account
                business_address:
                  type: string
                  description: Street address of the customer account
                business_city:
                  type: string
                  description: City of the customer account
                business_state:
                  type: string
                  description: State of the customer account
                business_zip:
                  type: string
                  description: Zip code of the customer account
                business_owner:
                  type: object
                  description: Business owner of the customer account
                  properties:
                    first_name:
                      type: string
                    last_name:
                      type: string
                    ssn:
                      type: string
                    dob:
                      type: string
                    email:
                      type: string
                    title:
                      type: string
                    ownership_percentage:
                      type: integer
                      format: int32
                    owner_type:
                      type: string
                      enum:
                        - authorized_signer
                        - beneficial_owner
                    address:
                      type: string
                    address_line2:
                      type: string
                    city:
                      type: string
                    state:
                      type: string
                    zip:
                      type: string
            examples:
              Request Example:
                value:
                  code: customer-code10
                  companyID: dzxzll3b45rtrtrtad41c98bbc2b4d566388a44
                  business_name: Hooli
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: {}
              schema:
                type: object
                properties: {}
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: {}
              schema:
                type: object
                properties: {}
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer

````